Schedule a Callback

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

This API allows you to create a new schedule call.

curl --request POST \
     --url https://https://api.acefone.in/v1/dialer/schedule_call/
     --header 'accept: application/json' \
     --header 'content-type: application/json'

šŸ“˜Important

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

Variable NameDescriptionData Type
customer_nameThe name of the lead for whom the callback is being scheduled.String
schedule_date_timeThe exact date and time when the call should be scheduled, format: YYYY-MM-DD HH:MM:SS.String
assigned_toThe agent ID to whom this scheduled call is assigned.String
customer_numberThe contact number of the customer to be called.String
reminder_schedule_callbacksIf true, a reminder notification will be set for the scheduled callback.Boolean
reminder_timeThe time (in minutes) before the scheduled callback when the reminder should be triggered.Integer
call_end_minThe duration after which the scheduled call should automatically end if unanswered.Integer
inbound_queueThe queue ID to which this scheduled callback belongs. Only applicable when dialer campaign inbound callback is 1 through campaigns API.Integer

Response Variables

After the execution of the API, you will get the following response:

Variable NameDescriptionData Type
successThe request success status, the possible values are: True (default) for success. False for failure.Boolean
messageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string
required

The name of the lead for whom the callback is being scheduled.

string
required

YYYY-MM-DD HH:MM:SS – The exact date and time when the call should be scheduled.

string
required

The agent ID to whom this scheduled call is assigned.

string
required

The contact number of the customer to be called.

boolean

If true, a reminder notification will be set for the scheduled callback.

int32
Defaults to null

The time (in minutes) before the scheduled callback when the reminder should be triggered.

int32
Defaults to null

The duration after which the scheduled call should automatically end if unanswered.

int32

The queue ID to which this scheduled callback belongs, ensuring proper call routing, only can be used when dialer campaign inbound callback is 1 through campaigns api.

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json